Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Publish\Core\MVC\Symfony\FieldType\Relation\ParameterProvider Class Reference
Inheritance diagram for eZ\Publish\Core\MVC\Symfony\FieldType\Relation\ParameterProvider:

## Public Member Functions
| __construct (ContentService $contentService)
| getViewParameters (Field $field)
| Returns a hash of parameters to inject to the associated fieldtype's view template. More...

## Private Attributes
| $contentService

## Detailed Description

Definition at line 15 of file Relation/ParameterProvider.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\MVC\Symfony\FieldType\Relation\ParameterProvider::__construct | ( | ContentService | $contentService | ) |

Parameters

  \eZ\Publish\API\Repository\ContentService | $contentService |

Definition at line 23 of file Relation/ParameterProvider.php.

References eZ\Publish\Core\MVC\Symfony\FieldType\Relation\ParameterProvider\$contentService.

## Member Function Documentation

## ◆ getViewParameters()

eZ\Publish\Core\MVC\Symfony\FieldType\Relation\ParameterProvider::getViewParameters | ( | Field | $field | ) |

Returns a hash of parameters to inject to the associated fieldtype's view template.

Returned parameters will only be available for associated field type.

Key is the parameter name (the variable name exposed in the template, in the 'parameters' array). Value is the parameter's value.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Field | $field | The field parameters are provided for.

Returns
  array

Implements eZ\Publish\Core\MVC\Symfony\FieldType\View\ParameterProviderInterface.

Definition at line 39 of file Relation/ParameterProvider.php.

## Member Data Documentation

## ◆ $contentService

eZ\Publish\Core\MVC\Symfony\FieldType\Relation\ParameterProvider::$contentService
| private

Definition at line 18 of file Relation/ParameterProvider.php.

Referenced by eZ\Publish\Core\MVC\Symfony\FieldType\Relation\ParameterProvider\__construct().

The documentation for this class was generated from the following file:

- Relation/ParameterProvider.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.